Subject: Re: [MACVLAN]: Fix memleak on device removal/crash on module removal

From: Ben Greear <[email-masked]>
Date: Thu, 08 May 2008 08:27:21 -0700

David Miller wrote:
> From: Ben Greear <[email-masked]>
> Date: Wed, 07 May 2008 15:03:19 -0700
>
>   
>> Patrick McHardy wrote:
>>     
>>> ------------------------------------------------------------------------
>>>
>>> commit 2fe876e51d1f053b55d8d50c3733b136b6add016
>>> Author: Patrick McHardy <[email-masked]>
>>> Date:   Wed May 7 09:43:05 2008 +0200
>>>
>>>     [MACVLAN]: Fix memleak on device removal/crash on module removal
>>>       
>> Thanks.  I just tested this on 2.6.23 and it seems to fix the crash.
>>     
>
> I've applied this to net-2.6, and will queue it up for net-2.6
> as well.
>
> Thanks again!
>   

This might be worth adding to any/all 2.6.23+ stable series since it's a 
reliable kernel crash on module unload.

I'm not sure if anyone else is really using mac-vlans much yet though...

Thanks,
Ben

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com